package sql;
import java.sql.*;
import org.apache.derby.jdbc.*;
public class ProjektDataSource {
	private static Connection connect = null;
	private static void pripojeniKDatabazi() {
		ClientDataSource dataSource = new ClientDataSource();
		dataSource.setDatabaseName("databaze03");
		dataSource.setCreateDatabase("create");
		dataSource.setUser("Uzivatel3");
		dataSource.setPassword("Heslo3");
		dataSource.setServerName("localhost");
		dataSource.setPortNumber(1527);
		try {
			connect = dataSource.getConnection();
			System.out.println("Podarilo se ziskat spojeni");
		} catch (SQLException e) {
			System.out.println("Nepodarilo se ziskat spojeni");
			e.printStackTrace();
		}
	}
	private static void odpojimeDatabazi() {
		try {
			if (connect != null) {
				connect.close();
			}
			System.out.println("Podarilo se odpojit od databaze");
		} catch (SQLException e) {
			System.out.println("Nepodarilo se odpojit od databaze");
			e.printStackTrace();
		}
	}
	public static void main(String[] args) {
		System.out.println("Start Programu");
		pripojeniKDatabazi();
		odpojimeDatabazi();
		System.out.println("Konec Programu");
	}
}
